/*
 * JBoss, Home of Professional Open Source
 * Copyright 2007, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2007,
 * @author JBoss Inc.
 */
package org.jboss.wst.xts.impl;

import javax.transaction.InvalidTransactionException;
import javax.transaction.SystemException;
import javax.transaction.xa.XAException;
import org.apache.log4j.Logger;
import org.jboss.wst.xts.WSTransactionBridge;

/**
 *
 * @author wklaczynski@sabaservice.pl, 2007-04-30
 */
public class EmptyTransactionBridgeImpl implements WSTransactionBridge {

    private static Logger log = Logger.getLogger(EmptyTransactionBridgeImpl.class);

    /**
     *
     */
    public EmptyTransactionBridgeImpl() {
    }

    public void start() throws XAException, SystemException, InvalidTransactionException {

    }

    public void fault() throws XAException, SystemException, InvalidTransactionException {

    }

    public void stop() throws XAException, SystemException, InvalidTransactionException {

    }


}
